Aggregate Form Instance Signatures

Aggregate form instance signatures with GROUP BY operations.

Allows grouping by type, is_reviewer, form_submit_id, and user_id with
aggregation functions like COUNT, COUNT_DISTINCT, MIN, MAX.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Request model for form signature aggregation queries.

Supports cross-entity group-by dimensions (site_id, form_id, type_id) from the
parent FormSubmit, in addition to direct FormSubmitUser columns.

string | null

Keywords should be space separated and are ANDed together, so all keywords must be present but they can be present in any of the fields specified above.

integer | null
Defaults to 0

Number of records to skip before returning records

integer | null
Defaults to 50

Number of records to return

string
enum
Defaults to desc

Direction to sort the sort_column - ascending or descending

Allowed:
date-time | null

If sorting on updated_at or created_at, and date_cut_off is provided, return only records that were created or updated (whichever is being sorted on) between date_start and date_cut_off

date-time | null

If sorting on updated_at or created_at, return only records that were created or updated (whichever is being sorted on) between the initial value (determined by sort order) and the cutoff date.

For example, sorting on created_at ascending with a date_cut_off will return all records from the oldest creation date to the cutoff date. By comparison, sorting on created_at descending with a date_cut_off will return all records from the most recent creation date to the cutoff date.

string | null

Column to sort aggregation results by (must be in group_by or an aggregation alias)

group_by
array of strings
required

Column names to group by

Group By*
aggregations
array of objects
required

Aggregation functions to apply

Aggregations*
string
enum
Defaults to updated_at

Column to apply date_start/date_cut_off filters on. One of 'created_at', 'updated_at' (both on FormSubmitUser), or 'submitted_on' (parent FormSubmit; excludes signatures on drafts).

Allowed:
boolean | null
Defaults to false

Filter by entity archived status. Defaults to False (only active entities). Use True for archived only, None to include all.

boolean | null
Defaults to false

Filter by parent project's archived status. Defaults to False (only active projects). Use True for archived projects only, None to include all.

integer | null

Filter to signatures on submissions of a specific form template.

integer | null

Filter to signatures on submissions of a specific form type.

integer | null

Filter to signatures on submissions at a specific site.

integer | null

Filter to signatures by a specific user.

string
enum

Filter by signature type: signature, approve, disapprove, or associated.

Allowed:
Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json